local  TailorAddition = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    TailorAddition:log("CustomDecoration: game version < 1.8")
    return
end
_scriptFolder = "scripts1.8"
TailorAddition:msgBox("TailorAddition: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
TailorAddition:dofile(_scriptFolder .. "/common.lua")

_NoSandbox = difficultyLevel(TailorAddition, "TailorAddition")

if not checkVersion(TailorAddition, "TailorAddition", "Common Resources", "76daffe0-725f-4dac-b1b5-de331dfca67a", "1.2.0") then
    return
end

WeaverAdditionPrefix = "WEAVER_ADDITION"
TailorAdditionPrefix = "TAILOR_ADDITION"

-- workplace
TailorAddition:dofile(_scriptFolder .. "/weaver.lua")
TailorAddition:dofile(_scriptFolder .. "/tailor.lua")
